//
//  MyFirstMapAppViewController.h
//  MyFirstMapApp
//
//  Created by James Richards on 5/4/10.
//  Copyright Artisan Global LLC 2010. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <CoreLocation/CoreLocation.h>
#import "AGSiPhone.h"

#define kTiledStreetMapServiceURL @"http://server.arcgisonline.com/ArcGIS/rest/services/ESRI_StreetMap_World_2D/MapServer"
#define kTiledImageryMapServiceURL @"http://server.arcgisonline.com/ArcGIS/rest/services/ESRI_Imagery_World_2D/MapServer"
#define kTiledReliefMapServiceURL @"http://server.arcgisonline.com/ArcGIS/rest/services/ESRI_ShadedRelief_World_2D/MapServer"

@interface MyFirstMapAppViewController : UIViewController<AGSMapViewDelegate, CLLocationManagerDelegate> {
	AGSMapView *mapView;
	CLLocationManager *locationManager;
	
	UIView *streetView;	
	UIView *imageryView;	
	UIView *reliefView;
	
	UIBarButtonItem *locateButton;
	
}

@property (nonatomic, retain) IBOutlet AGSMapView *mapView;
@property (nonatomic, retain) CLLocationManager *locationManager;

@property (nonatomic, retain) UIView *streetView;
@property (nonatomic, retain) UIView *imageryView;
@property (nonatomic, retain) UIView *reliefView;

@property (nonatomic, retain) IBOutlet UIBarButtonItem *locateButton;

- (IBAction)toggleLayer:(id)sender;
- (IBAction)showLocation:(id)sender;

@end
